Subject: Whois 4.6.13. Please: Show info of multiple nets
From: Arend-Jan Westhoff <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Wed, 20 Jul 2005 00:48:39 +0200

Dear Mr Marco d'Itri,

Version of whois:
	whois --version
		Version 4.6.13.

		Report bugs to <[email-masked]>
(Cygwin version, but I'd guess this is not Cygwin specific.)

Problem:
Sometimes the real info is a level deeper as returned by whois (when there
are 
multiple net ranges an IP-address is included in):
When I run e.g.:
	whois -H 204.127.166.135
		AT&T WorldNet Services ATTPLS (NET-204-127-0-0-1)
		                                  204.127.0.0 - 204.127.255.255
		AT&T Consumer IP Services ATTSVC-204-127-128-0 (NET-204-127-128-0-1)
          		                        204.127.128.0 - 204.127.191.255

		# ARIN WHOIS database, last updated 2005-07-14 19:10
		# Enter ? for additional hints on searching ARIN's WHOIS database.

Desired situation:
I would instead like to see the results under NET-204-127-0-0-1 and 
NET-204-127-128-0-1 
(cmp
	<http://ws.arin.net/whois/?queryinput=204.127.166.135>
versus
	<http://ws.arin.net/whois/?queryinput=!%20NET-204-127-0-0-1>
and
	<http://ws.arin.net/whois/?queryinput=!%20NET-204-127-128-0-1>
)

Thanks and sample whois use in context:
I would also like to take the opportunity to thank you for this utility.
I find it generally much more convenient than accessing whois-servers
via webpages (e.g. to get info to direct spam complaints).
It not only allows one to find information on providers and upstream 
providers of (advertised) websites (upstream: in combination with:
	tracert www.att.net
cmp
	<http://spam-filter-review.toptenreviews.com/reporting-spam.html>
	nslookup www.att.net
	tracert 204.127.135.135
	nslookup -q=ptr 204.127.166.135
	<http://www.att.net/>
	<http://204.127.166.135/>
	<http://204.127.135.135/>
) but also on registrars. (Typical use example:
	whois -H att.net
cmp
	<http://www.icann.org/registrars/accredited-list.html>
	<http://www.spamhaus.org/faq/answers.lasso?section=Generic%20Questions#127>
	Note that registrant info will likely be unreliable in case of spamming.
)
This nicely complements:
	<http://spamcop.net/>
and
	<http://banspam.javawoman.com/report3.html>
(Btw this is not to imply that AT&T is spamming; att.net just 
turned up as upstream provider of a spam advertised website and seemed
a good example.)

		Best regards,

		Arend-Jan Westhoff

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/